<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile doxygen_version="1.10.0" doxygen_gitid="7ce13052afa7170109d103045afe22631926b01e*">
  <compound kind="class">
    <name>lsst::dax::apdb::apdbCassandra::_AddressTranslator</name>
    <filename>classlsst_1_1dax_1_1apdb_1_1apdbCassandra_1_1__AddressTranslator.html</filename>
  </compound>
  <compound kind="class">
    <name>lsst::dax::apdb::apdbCassandraSchema::_FelisUUID</name>
    <filename>classlsst_1_1dax_1_1apdb_1_1apdbCassandraSchema_1_1__FelisUUID.html</filename>
  </compound>
  <compound kind="class">
    <name>lsst::dax::apdb::apdbCassandra::_FrozenApdbCassandraConfig</name>
    <filename>classlsst_1_1dax_1_1apdb_1_1apdbCassandra_1_1__FrozenApdbCassandraConfig.html</filename>
    <member kind="function">
      <type>str</type>
      <name>to_json</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbCassandra_1_1__FrozenApdbCassandraConfig.html</anchorfile>
      <anchor>a5392ba1871db4840e438f6039faab4af</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>None</type>
      <name>update</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbCassandra_1_1__FrozenApdbCassandraConfig.html</anchorfile>
      <anchor>a933321010b21c18e4332984bb9911c10</anchor>
      <arglist>(self, str json_str)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::dax::apdb::apdb::Apdb</name>
    <filename>classlsst_1_1dax_1_1apdb_1_1apdb_1_1Apdb.html</filename>
    <member kind="function">
      <type>Apdb</type>
      <name>from_config</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_1_1Apdb.html</anchorfile>
      <anchor>a78b24ff717ec564ba2d5882f54acd894</anchor>
      <arglist>(cls, ApdbConfig config)</arglist>
    </member>
    <member kind="function">
      <type>Apdb</type>
      <name>from_uri</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_1_1Apdb.html</anchorfile>
      <anchor>a4bb2ac390b0eadb6fdb0482f0e328333</anchor>
      <arglist>(cls, ResourcePathExpression uri)</arglist>
    </member>
    <member kind="function">
      <type>VersionTuple</type>
      <name>apdbImplementationVersion</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_1_1Apdb.html</anchorfile>
      <anchor>a813833e5500ea45e2239218826408203</anchor>
      <arglist>(cls)</arglist>
    </member>
    <member kind="function">
      <type>VersionTuple</type>
      <name>apdbSchemaVersion</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_1_1Apdb.html</anchorfile>
      <anchor>a93f386fb1093b78df5ad48c0af49c8f5</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>Table|None</type>
      <name>tableDef</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_1_1Apdb.html</anchorfile>
      <anchor>ac0c705e5182a867f77f7c03fccc71591</anchor>
      <arglist>(self, ApdbTables table)</arglist>
    </member>
    <member kind="function">
      <type>pandas.DataFrame</type>
      <name>getDiaObjects</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_1_1Apdb.html</anchorfile>
      <anchor>a41a16c16ce9b4e4230010e071aa53dc9</anchor>
      <arglist>(self, Region region)</arglist>
    </member>
    <member kind="function">
      <type>pandas.DataFrame|None</type>
      <name>getDiaSources</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_1_1Apdb.html</anchorfile>
      <anchor>a49cc65c15ffe56c31ba56d34031ce177</anchor>
      <arglist>(self, Region region, Iterable[int]|None object_ids, astropy.time.Time visit_time)</arglist>
    </member>
    <member kind="function">
      <type>pandas.DataFrame|None</type>
      <name>getDiaForcedSources</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_1_1Apdb.html</anchorfile>
      <anchor>ad2c7866b634bbf85ed0d42d237f337ab</anchor>
      <arglist>(self, Region region, Iterable[int]|None object_ids, astropy.time.Time visit_time)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>containsVisitDetector</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_1_1Apdb.html</anchorfile>
      <anchor>a3850d7f3f95ba8ee2769eb696a82909a</anchor>
      <arglist>(self, int visit, int detector)</arglist>
    </member>
    <member kind="function">
      <type>list[ApdbInsertId]|None</type>
      <name>getInsertIds</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_1_1Apdb.html</anchorfile>
      <anchor>a33c1455ba10547ab7ff160cc0f757f62</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>None</type>
      <name>deleteInsertIds</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_1_1Apdb.html</anchorfile>
      <anchor>a0ba97904bf5bc0dfb82b014d87cbae35</anchor>
      <arglist>(self, Iterable[ApdbInsertId] ids)</arglist>
    </member>
    <member kind="function">
      <type>ApdbTableData</type>
      <name>getDiaObjectsHistory</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_1_1Apdb.html</anchorfile>
      <anchor>a97b75e4c037a6b2eaf279988fc750c96</anchor>
      <arglist>(self, Iterable[ApdbInsertId] ids)</arglist>
    </member>
    <member kind="function">
      <type>ApdbTableData</type>
      <name>getDiaSourcesHistory</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_1_1Apdb.html</anchorfile>
      <anchor>a42e5ff7b33d1ee26cb3ab8262d21feb3</anchor>
      <arglist>(self, Iterable[ApdbInsertId] ids)</arglist>
    </member>
    <member kind="function">
      <type>ApdbTableData</type>
      <name>getDiaForcedSourcesHistory</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_1_1Apdb.html</anchorfile>
      <anchor>af3e245ed9c8f2a8043ea5db2451c7542</anchor>
      <arglist>(self, Iterable[ApdbInsertId] ids)</arglist>
    </member>
    <member kind="function">
      <type>pandas.DataFrame</type>
      <name>getSSObjects</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_1_1Apdb.html</anchorfile>
      <anchor>a3fa9e0d10eb3eb5a07ffaf49d075f346</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>None</type>
      <name>store</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_1_1Apdb.html</anchorfile>
      <anchor>a7e8e30977abd5cb1f77b5f81d5c50b16</anchor>
      <arglist>(self, astropy.time.Time visit_time, pandas.DataFrame objects, pandas.DataFrame|None sources=None, pandas.DataFrame|None forced_sources=None)</arglist>
    </member>
    <member kind="function">
      <type>None</type>
      <name>storeSSObjects</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_1_1Apdb.html</anchorfile>
      <anchor>ac8336c12e018d17344305dab92d92484</anchor>
      <arglist>(self, pandas.DataFrame objects)</arglist>
    </member>
    <member kind="function">
      <type>None</type>
      <name>reassignDiaSources</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_1_1Apdb.html</anchorfile>
      <anchor>ad180a0bd116938046ac238cc3226e319</anchor>
      <arglist>(self, Mapping[int, int] idMap)</arglist>
    </member>
    <member kind="function">
      <type>None</type>
      <name>dailyJob</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_1_1Apdb.html</anchorfile>
      <anchor>a661b8b6ff8d78771e0532e536c863aa9</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>countUnassociatedObjects</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_1_1Apdb.html</anchorfile>
      <anchor>acea40583af1ebcd900f0aec3e99a089b</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>ConfigurableField</type>
      <name>makeField</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_1_1Apdb.html</anchorfile>
      <anchor>a092cfe57f817c19229e8baac46736255</anchor>
      <arglist>(cls, str doc)</arglist>
    </member>
    <member kind="function">
      <type>ApdbMetadata</type>
      <name>metadata</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_1_1Apdb.html</anchorfile>
      <anchor>a0414bb64348584ec28d175f94816b8b6</anchor>
      <arglist>(self)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::dax::apdb::apdbCassandra::ApdbCassandra</name>
    <filename>classlsst_1_1dax_1_1apdb_1_1apdbCassandra_1_1ApdbCassandra.html</filename>
    <base>lsst.dax.apdb.apdb.Apdb</base>
    <member kind="function">
      <type>VersionTuple</type>
      <name>apdbImplementationVersion</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbCassandra_1_1ApdbCassandra.html</anchorfile>
      <anchor>a967c2c01d635171e5a9be73142132053</anchor>
      <arglist>(cls)</arglist>
    </member>
    <member kind="function">
      <type>VersionTuple</type>
      <name>apdbSchemaVersion</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbCassandra_1_1ApdbCassandra.html</anchorfile>
      <anchor>af9d3f44e6c2319683f2dda3c22be3648</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>Table|None</type>
      <name>tableDef</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbCassandra_1_1ApdbCassandra.html</anchorfile>
      <anchor>a74577b79bc03ed8dc08adac45f8f3fd8</anchor>
      <arglist>(self, ApdbTables table)</arglist>
    </member>
    <member kind="function">
      <type>ApdbCassandraConfig</type>
      <name>init_database</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbCassandra_1_1ApdbCassandra.html</anchorfile>
      <anchor>a5b1026d2bd8c817bb05bbb09b847f2f4</anchor>
      <arglist>(cls, list[str] hosts, str keyspace, *str|None schema_file=None, str|None schema_name=None, int|None read_sources_months=None, int|None read_forced_sources_months=None, bool use_insert_id=False, bool use_insert_id_skips_diaobjects=False, int|None port=None, str|None username=None, str|None prefix=None, str|None part_pixelization=None, int|None part_pix_level=None, bool time_partition_tables=True, str|None time_partition_start=None, str|None time_partition_end=None, str|None read_consistency=None, str|None write_consistency=None, int|None read_timeout=None, int|None write_timeout=None, list[str]|None ra_dec_columns=None, int|None replication_factor=None, bool drop=False)</arglist>
    </member>
    <member kind="function">
      <type>pandas.DataFrame</type>
      <name>getDiaObjects</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbCassandra_1_1ApdbCassandra.html</anchorfile>
      <anchor>a29dd42382172ee965c30cbf272401728</anchor>
      <arglist>(self, sphgeom.Region region)</arglist>
    </member>
    <member kind="function">
      <type>pandas.DataFrame|None</type>
      <name>getDiaSources</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbCassandra_1_1ApdbCassandra.html</anchorfile>
      <anchor>a443492a0181ab21b39ea2231855b4101</anchor>
      <arglist>(self, sphgeom.Region region, Iterable[int]|None object_ids, astropy.time.Time visit_time)</arglist>
    </member>
    <member kind="function">
      <type>pandas.DataFrame|None</type>
      <name>getDiaForcedSources</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbCassandra_1_1ApdbCassandra.html</anchorfile>
      <anchor>a620b089291a1265586373a397c0deda5</anchor>
      <arglist>(self, sphgeom.Region region, Iterable[int]|None object_ids, astropy.time.Time visit_time)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>containsVisitDetector</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbCassandra_1_1ApdbCassandra.html</anchorfile>
      <anchor>ab04fa09c4f2015489fcda411db58fa36</anchor>
      <arglist>(self, int visit, int detector)</arglist>
    </member>
    <member kind="function">
      <type>list[ApdbInsertId]|None</type>
      <name>getInsertIds</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbCassandra_1_1ApdbCassandra.html</anchorfile>
      <anchor>a00e8e1838217e180a1a1dc2f484d2664</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>None</type>
      <name>deleteInsertIds</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbCassandra_1_1ApdbCassandra.html</anchorfile>
      <anchor>a00246991f6192f3998a6b532fa8c30e7</anchor>
      <arglist>(self, Iterable[ApdbInsertId] ids)</arglist>
    </member>
    <member kind="function">
      <type>ApdbTableData</type>
      <name>getDiaObjectsHistory</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbCassandra_1_1ApdbCassandra.html</anchorfile>
      <anchor>aaffd818283429819b51763302d7cb208</anchor>
      <arglist>(self, Iterable[ApdbInsertId] ids)</arglist>
    </member>
    <member kind="function">
      <type>ApdbTableData</type>
      <name>getDiaSourcesHistory</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbCassandra_1_1ApdbCassandra.html</anchorfile>
      <anchor>a9ea76aaa806b043ef020562f808e4c34</anchor>
      <arglist>(self, Iterable[ApdbInsertId] ids)</arglist>
    </member>
    <member kind="function">
      <type>ApdbTableData</type>
      <name>getDiaForcedSourcesHistory</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbCassandra_1_1ApdbCassandra.html</anchorfile>
      <anchor>aa04bcfaa5cf2b6b3745195b5f5ae30b8</anchor>
      <arglist>(self, Iterable[ApdbInsertId] ids)</arglist>
    </member>
    <member kind="function">
      <type>pandas.DataFrame</type>
      <name>getSSObjects</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbCassandra_1_1ApdbCassandra.html</anchorfile>
      <anchor>a10a09aae09ce08d1ce4bd4bba8e81469</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>None</type>
      <name>store</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbCassandra_1_1ApdbCassandra.html</anchorfile>
      <anchor>ac4c53d2df718cb3593fe05bc5e357dde</anchor>
      <arglist>(self, astropy.time.Time visit_time, pandas.DataFrame objects, pandas.DataFrame|None sources=None, pandas.DataFrame|None forced_sources=None)</arglist>
    </member>
    <member kind="function">
      <type>None</type>
      <name>storeSSObjects</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbCassandra_1_1ApdbCassandra.html</anchorfile>
      <anchor>a80ff2915d1cfc167cd3ee4485b64d869</anchor>
      <arglist>(self, pandas.DataFrame objects)</arglist>
    </member>
    <member kind="function">
      <type>None</type>
      <name>reassignDiaSources</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbCassandra_1_1ApdbCassandra.html</anchorfile>
      <anchor>a5871c9b29d4c7cff8a1892d4bdeb0102</anchor>
      <arglist>(self, Mapping[int, int] idMap)</arglist>
    </member>
    <member kind="function">
      <type>None</type>
      <name>dailyJob</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbCassandra_1_1ApdbCassandra.html</anchorfile>
      <anchor>abca944ab7c2283860f39a2e1f1412927</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>countUnassociatedObjects</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbCassandra_1_1ApdbCassandra.html</anchorfile>
      <anchor>a018b72a629fce2b5a2d84d31c9774556</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>ApdbMetadata</type>
      <name>metadata</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbCassandra_1_1ApdbCassandra.html</anchorfile>
      <anchor>a6a315260bd0acac956e2705765b846f8</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>tuple[Cluster, Session]</type>
      <name>_make_session</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbCassandra_1_1ApdbCassandra.html</anchorfile>
      <anchor>a911548d6a7fba563d817f85dda8fa207</anchor>
      <arglist>(cls, ApdbCassandraConfig config)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>AuthProvider|None</type>
      <name>_make_auth_provider</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbCassandra_1_1ApdbCassandra.html</anchorfile>
      <anchor>a1099f5a36aee2a68cbd05a2e3bc81a4f</anchor>
      <arglist>(cls, ApdbCassandraConfig config)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>None</type>
      <name>_versionCheck</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbCassandra_1_1ApdbCassandra.html</anchorfile>
      <anchor>a73ca3b5bddd1fd59eefb921697b8f913</anchor>
      <arglist>(self, ApdbMetadataCassandra metadata)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>Mapping[Any, ExecutionProfile]</type>
      <name>_makeProfiles</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbCassandra_1_1ApdbCassandra.html</anchorfile>
      <anchor>ab39c109ab0bcb85df4dafadbd31d2e8c</anchor>
      <arglist>(cls, ApdbCassandraConfig config)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>pandas.DataFrame</type>
      <name>_getSources</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbCassandra_1_1ApdbCassandra.html</anchorfile>
      <anchor>a9f88ed76e42f7caf66c306ec30fdc568</anchor>
      <arglist>(self, sphgeom.Region region, Iterable[int]|None object_ids, float mjd_start, float mjd_end, ApdbTables table_name)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>ApdbTableData</type>
      <name>_get_history</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbCassandra_1_1ApdbCassandra.html</anchorfile>
      <anchor>acda69380823c8194a16336ae4569e0aa</anchor>
      <arglist>(self, ExtraTables table, Iterable[ApdbInsertId] ids)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>None</type>
      <name>_storeDiaObjects</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbCassandra_1_1ApdbCassandra.html</anchorfile>
      <anchor>a35290efafa261e8ed2697f1cc9531102</anchor>
      <arglist>(self, pandas.DataFrame objs, astropy.time.Time visit_time, ApdbInsertId|None insert_id)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>None</type>
      <name>_storeDiaSources</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbCassandra_1_1ApdbCassandra.html</anchorfile>
      <anchor>a7c0b4794c1ae1095df9571cc0c2ba49c</anchor>
      <arglist>(self, ApdbTables table_name, pandas.DataFrame sources, astropy.time.Time visit_time, ApdbInsertId|None insert_id)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>None</type>
      <name>_storeDiaSourcesPartitions</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbCassandra_1_1ApdbCassandra.html</anchorfile>
      <anchor>a28c583c6580d6bb4079d1e9428d198bd</anchor>
      <arglist>(self, pandas.DataFrame sources, astropy.time.Time visit_time, ApdbInsertId|None insert_id)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>None</type>
      <name>_storeObjectsPandas</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbCassandra_1_1ApdbCassandra.html</anchorfile>
      <anchor>ab74af8b17e3d155b7993a371a4bfe4b2</anchor>
      <arglist>(self, pandas.DataFrame records, ApdbTables|ExtraTables table_name, Mapping|None extra_columns=None, int|None time_part=None)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>pandas.DataFrame</type>
      <name>_add_obj_part</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbCassandra_1_1ApdbCassandra.html</anchorfile>
      <anchor>af36669a31986bbc6a1ecd105cd681145</anchor>
      <arglist>(self, pandas.DataFrame df)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>pandas.DataFrame</type>
      <name>_add_src_part</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbCassandra_1_1ApdbCassandra.html</anchorfile>
      <anchor>a938c303d9a30a5b0ca708634a46dea5f</anchor>
      <arglist>(self, pandas.DataFrame sources, pandas.DataFrame objs)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>pandas.DataFrame</type>
      <name>_add_fsrc_part</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbCassandra_1_1ApdbCassandra.html</anchorfile>
      <anchor>a62f53d1c170eb7267a867fa682631587</anchor>
      <arglist>(self, pandas.DataFrame sources, pandas.DataFrame objs)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>_time_partition_cls</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbCassandra_1_1ApdbCassandra.html</anchorfile>
      <anchor>a2839b94fc292b594c02414ebebe8a6b2</anchor>
      <arglist>(cls, float|astropy.time.Time time, float epoch_mjd, int part_days)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>_time_partition</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbCassandra_1_1ApdbCassandra.html</anchorfile>
      <anchor>a2f68f8b18b94d7b959c8258fbbfefccd</anchor>
      <arglist>(self, float|astropy.time.Time time)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>pandas.DataFrame</type>
      <name>_make_empty_catalog</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbCassandra_1_1ApdbCassandra.html</anchorfile>
      <anchor>a2b56716ddf99d70215b102101230d80c</anchor>
      <arglist>(self, ApdbTables table_name)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>Iterator[tuple[cassandra.query.Statement, tuple]]</type>
      <name>_combine_where</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbCassandra_1_1ApdbCassandra.html</anchorfile>
      <anchor>adacf165fc2323e88aa5506137bb139e3</anchor>
      <arglist>(self, str prefix, list[tuple[str, tuple]] where1, list[tuple[str, tuple]] where2, str|None suffix=None)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>list[tuple[str, tuple]]</type>
      <name>_spatial_where</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbCassandra_1_1ApdbCassandra.html</anchorfile>
      <anchor>a5b3bbecf379a78b6f6c1096180249bf9</anchor>
      <arglist>(self, sphgeom.Region|None region, bool use_ranges=False)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>tuple[list[str], list[tuple[str, tuple]]]</type>
      <name>_temporal_where</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbCassandra_1_1ApdbCassandra.html</anchorfile>
      <anchor>a65e574ea98f4f6da7d4dc34ee2db9121</anchor>
      <arglist>(self, ApdbTables table, float|astropy.time.Time start_time, float|astropy.time.Time end_time, bool|None query_per_time_part=None)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::dax::apdb::apdbCassandra::ApdbCassandraConfig</name>
    <filename>classlsst_1_1dax_1_1apdb_1_1apdbCassandra_1_1ApdbCassandraConfig.html</filename>
    <base>lsst.dax.apdb.apdb.ApdbConfig</base>
  </compound>
  <compound kind="class">
    <name>lsst::dax::apdb::apdbCassandraSchema::ApdbCassandraSchema</name>
    <filename>classlsst_1_1dax_1_1apdb_1_1apdbCassandraSchema_1_1ApdbCassandraSchema.html</filename>
    <base>lsst.dax.apdb.apdbSchema.ApdbSchema</base>
    <member kind="function">
      <type>bool</type>
      <name>has_insert_id</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbCassandraSchema_1_1ApdbCassandraSchema.html</anchorfile>
      <anchor>ab33343de3c097ea1ff416b0d92b84672</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>empty</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbCassandraSchema_1_1ApdbCassandraSchema.html</anchorfile>
      <anchor>af02225d93f41106c512a15b884c3cee9</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>str</type>
      <name>tableName</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbCassandraSchema_1_1ApdbCassandraSchema.html</anchorfile>
      <anchor>ab18cdc118271432f0d8f56c1f760b618</anchor>
      <arglist>(self, ApdbTables|ExtraTables table_name)</arglist>
    </member>
    <member kind="function">
      <type>str</type>
      <name>keyspace</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbCassandraSchema_1_1ApdbCassandraSchema.html</anchorfile>
      <anchor>a317697825fdfa9ca114ac089210307be</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>Mapping[str, simple.Column]</type>
      <name>getColumnMap</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbCassandraSchema_1_1ApdbCassandraSchema.html</anchorfile>
      <anchor>a9465b7ded6ddebf0b7304fe26e66ce1b</anchor>
      <arglist>(self, ApdbTables|ExtraTables table_name)</arglist>
    </member>
    <member kind="function">
      <type>list[str]</type>
      <name>apdbColumnNames</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbCassandraSchema_1_1ApdbCassandraSchema.html</anchorfile>
      <anchor>ae85aef41d695ab491bee7f0fb1864322</anchor>
      <arglist>(self, ApdbTables|ExtraTables table_name)</arglist>
    </member>
    <member kind="function">
      <type>list[str]</type>
      <name>partitionColumns</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbCassandraSchema_1_1ApdbCassandraSchema.html</anchorfile>
      <anchor>a0c8046e8f01f54d8fcf267438dd4ae34</anchor>
      <arglist>(self, ApdbTables|ExtraTables table_name)</arglist>
    </member>
    <member kind="function">
      <type>list[str]</type>
      <name>clusteringColumns</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbCassandraSchema_1_1ApdbCassandraSchema.html</anchorfile>
      <anchor>ae81d6b54b609e687cae459a9575f1712</anchor>
      <arglist>(self, ApdbTables|ExtraTables table_name)</arglist>
    </member>
    <member kind="function">
      <type>None</type>
      <name>makeSchema</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbCassandraSchema_1_1ApdbCassandraSchema.html</anchorfile>
      <anchor>ae685e5a615b2ce16535442c7bd40a414</anchor>
      <arglist>(self, *bool drop=False, tuple[int, int]|None part_range=None, int|None replication_factor=None)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>Mapping[ApdbTables, simple.Table]</type>
      <name>_apdb_tables_schema</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbCassandraSchema_1_1ApdbCassandraSchema.html</anchorfile>
      <anchor>aa149da99c88009688601a5f73599b687</anchor>
      <arglist>(self, bool time_partition_tables)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>Mapping[ExtraTables, simple.Table]</type>
      <name>_extra_tables_schema</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbCassandraSchema_1_1ApdbCassandraSchema.html</anchorfile>
      <anchor>a71821161dd4d577e38d662f45065a63c</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>_check_insert_id</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbCassandraSchema_1_1ApdbCassandraSchema.html</anchorfile>
      <anchor>ab45a77fa65419d91b7d32c544ead6f60</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>list[str]</type>
      <name>_tableColumns</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbCassandraSchema_1_1ApdbCassandraSchema.html</anchorfile>
      <anchor>a0e69442b2a2d31c4419a688096dbdaeb</anchor>
      <arglist>(self, ApdbTables|ExtraTables table_name)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>simple.Table</type>
      <name>_table_schema</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbCassandraSchema_1_1ApdbCassandraSchema.html</anchorfile>
      <anchor>a6baaad16b6f79d8f46e561d85ba9c1b1</anchor>
      <arglist>(self, ApdbTables|ExtraTables table)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::dax::apdb::cassandra_utils::ApdbCassandraTableData</name>
    <filename>classlsst_1_1dax_1_1apdb_1_1cassandra__utils_1_1ApdbCassandraTableData.html</filename>
    <base>lsst.dax.apdb.apdb.ApdbTableData</base>
    <member kind="function">
      <type>list[str]</type>
      <name>column_names</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1cassandra__utils_1_1ApdbCassandraTableData.html</anchorfile>
      <anchor>ad0fef8a3bbe02747ae8e2aef9fea2ab0</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>Iterable[tuple]</type>
      <name>rows</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1cassandra__utils_1_1ApdbCassandraTableData.html</anchorfile>
      <anchor>adc3c3918bd925d38011a0ba8ced3c161</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>None</type>
      <name>append</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1cassandra__utils_1_1ApdbCassandraTableData.html</anchorfile>
      <anchor>a0f352d63c2f22b251ff4f07d073b6641</anchor>
      <arglist>(self, ApdbCassandraTableData other)</arglist>
    </member>
    <member kind="function">
      <type>Iterator[tuple]</type>
      <name>__iter__</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1cassandra__utils_1_1ApdbCassandraTableData.html</anchorfile>
      <anchor>a4bb5748de9df20c61ec48f51cbff4622</anchor>
      <arglist>(self)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::dax::apdb::apdb::ApdbConfig</name>
    <filename>classlsst_1_1dax_1_1apdb_1_1apdb_1_1ApdbConfig.html</filename>
  </compound>
  <compound kind="class">
    <name>lsst::dax::apdb::apdbConfigFreezer::ApdbConfigFreezer</name>
    <filename>classlsst_1_1dax_1_1apdb_1_1apdbConfigFreezer_1_1ApdbConfigFreezer.html</filename>
    <member kind="function">
      <type>str</type>
      <name>to_json</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbConfigFreezer_1_1ApdbConfigFreezer.html</anchorfile>
      <anchor>ac30861fcb793ce4764cfcacdc2458baf</anchor>
      <arglist>(self, ApdbConfig config)</arglist>
    </member>
    <member kind="function">
      <type>_Config</type>
      <name>update</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbConfigFreezer_1_1ApdbConfigFreezer.html</anchorfile>
      <anchor>a6950af32188376218724251824dbba1c</anchor>
      <arglist>(self, _Config config, str json_str)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::dax::apdb::apdbIndex::ApdbIndex</name>
    <filename>classlsst_1_1dax_1_1apdb_1_1apdbIndex_1_1ApdbIndex.html</filename>
    <member kind="function">
      <type>ResourcePath</type>
      <name>get_apdb_uri</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbIndex_1_1ApdbIndex.html</anchorfile>
      <anchor>ad72e4122b15af229ed238aee48b0bba2</anchor>
      <arglist>(self, str label, str|None format=None)</arglist>
    </member>
    <member kind="function">
      <type>Mapping[str, str]</type>
      <name>get_entries</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbIndex_1_1ApdbIndex.html</anchorfile>
      <anchor>ab95811a55a7347fcfaa3c5dccbb01afa</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>Mapping[str, str]</type>
      <name>_read_index</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbIndex_1_1ApdbIndex.html</anchorfile>
      <anchor>a397eb1e351f1f9651eceaeef92d8f692</anchor>
      <arglist>(self, str|None index_path=None)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::dax::apdb::apdb::ApdbInsertId</name>
    <filename>classlsst_1_1dax_1_1apdb_1_1apdb_1_1ApdbInsertId.html</filename>
    <member kind="function">
      <type>ApdbInsertId</type>
      <name>new_insert_id</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_1_1ApdbInsertId.html</anchorfile>
      <anchor>a0cb9a9259bf3151964aad1bf2067047d</anchor>
      <arglist>(cls, astropy.time.Time insert_time)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::dax::apdb::apdbMetadata::ApdbMetadata</name>
    <filename>classlsst_1_1dax_1_1apdb_1_1apdbMetadata_1_1ApdbMetadata.html</filename>
    <member kind="function">
      <type>str|None</type>
      <name>get</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbMetadata_1_1ApdbMetadata.html</anchorfile>
      <anchor>a852d57e2a825fedc6ea0e23f1aa91107</anchor>
      <arglist>(self, str key, str|None default=None)</arglist>
    </member>
    <member kind="function">
      <type>None</type>
      <name>set</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbMetadata_1_1ApdbMetadata.html</anchorfile>
      <anchor>ac404843cc3695fce4e72f24ce489f776</anchor>
      <arglist>(self, str key, str value, *bool force=False)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>delete</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbMetadata_1_1ApdbMetadata.html</anchorfile>
      <anchor>a2a372f8481ed0d0bec97e4865b2a80b6</anchor>
      <arglist>(self, str key)</arglist>
    </member>
    <member kind="function">
      <type>Generator[tuple[str, str], None, None]</type>
      <name>items</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbMetadata_1_1ApdbMetadata.html</anchorfile>
      <anchor>a3324748ea04ea3b4ef57c8ced097a8c6</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>empty</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbMetadata_1_1ApdbMetadata.html</anchorfile>
      <anchor>a9a653101886eed215e6beae4e33b5ff0</anchor>
      <arglist>(self)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::dax::apdb::apdbMetadataCassandra::ApdbMetadataCassandra</name>
    <filename>classlsst_1_1dax_1_1apdb_1_1apdbMetadataCassandra_1_1ApdbMetadataCassandra.html</filename>
    <base>lsst.dax.apdb.apdbMetadata.ApdbMetadata</base>
    <member kind="function">
      <type>str|None</type>
      <name>get</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbMetadataCassandra_1_1ApdbMetadataCassandra.html</anchorfile>
      <anchor>afe2fd704cbe6b14e4c284b49b323f352</anchor>
      <arglist>(self, str key, str|None default=None)</arglist>
    </member>
    <member kind="function">
      <type>None</type>
      <name>set</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbMetadataCassandra_1_1ApdbMetadataCassandra.html</anchorfile>
      <anchor>aa6288188d1b6dba4100e1ff9cd0df0b9</anchor>
      <arglist>(self, str key, str value, *bool force=False)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>delete</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbMetadataCassandra_1_1ApdbMetadataCassandra.html</anchorfile>
      <anchor>a561e161c2ede276918de64e231641baa</anchor>
      <arglist>(self, str key)</arglist>
    </member>
    <member kind="function">
      <type>Generator[tuple[str, str], None, None]</type>
      <name>items</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbMetadataCassandra_1_1ApdbMetadataCassandra.html</anchorfile>
      <anchor>a68f5ba2c3b49228618e41b94547335a5</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>empty</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbMetadataCassandra_1_1ApdbMetadataCassandra.html</anchorfile>
      <anchor>a54744e981b179aeceb81f2e8c3bc83e9</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>table_exists</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbMetadataCassandra_1_1ApdbMetadataCassandra.html</anchorfile>
      <anchor>ac1d1f33ec86c0bc55eafd8bc6cedf0c3</anchor>
      <arglist>(self)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::dax::apdb::apdbMetadataSql::ApdbMetadataSql</name>
    <filename>classlsst_1_1dax_1_1apdb_1_1apdbMetadataSql_1_1ApdbMetadataSql.html</filename>
    <base>lsst.dax.apdb.apdbMetadata.ApdbMetadata</base>
    <member kind="function">
      <type>str|None</type>
      <name>get</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbMetadataSql_1_1ApdbMetadataSql.html</anchorfile>
      <anchor>a0f24149d2f8ba9384ef18441ebeac1ca</anchor>
      <arglist>(self, str key, str|None default=None)</arglist>
    </member>
    <member kind="function">
      <type>None</type>
      <name>set</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbMetadataSql_1_1ApdbMetadataSql.html</anchorfile>
      <anchor>a10ed610a8323d069637265e3d1e5d0f9</anchor>
      <arglist>(self, str key, str value, *bool force=False)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>delete</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbMetadataSql_1_1ApdbMetadataSql.html</anchorfile>
      <anchor>a4fd7360eedaf7cbfcb33fb587554709e</anchor>
      <arglist>(self, str key)</arglist>
    </member>
    <member kind="function">
      <type>Generator[tuple[str, str], None, None]</type>
      <name>items</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbMetadataSql_1_1ApdbMetadataSql.html</anchorfile>
      <anchor>ab510b5ba72694ab84f7a3bae9d59c00e</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>empty</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbMetadataSql_1_1ApdbMetadataSql.html</anchorfile>
      <anchor>aa7eee9f8fa88076ac071a1562a622048</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>table_exists</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbMetadataSql_1_1ApdbMetadataSql.html</anchorfile>
      <anchor>a88af6ac1fff6969679fd5a165d2a53dd</anchor>
      <arglist>(self)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::dax::apdb::apdbSchema::ApdbSchema</name>
    <filename>classlsst_1_1dax_1_1apdb_1_1apdbSchema_1_1ApdbSchema.html</filename>
    <member kind="function">
      <type>type|str</type>
      <name>column_dtype</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbSchema_1_1ApdbSchema.html</anchorfile>
      <anchor>aa474fa56dbd8d079c0017eb9e56d11eb</anchor>
      <arglist>(self, type[felis.types.FelisType] felis_type)</arglist>
    </member>
    <member kind="function">
      <type>VersionTuple</type>
      <name>schemaVersion</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbSchema_1_1ApdbSchema.html</anchorfile>
      <anchor>ab30bb05727e4fb730f6835ce6e769449</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>tuple[Mapping[ApdbTables, Table], VersionTuple|None]</type>
      <name>_buildSchemas</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbSchema_1_1ApdbSchema.html</anchorfile>
      <anchor>a4aa0050c8055d6add7d8bc0e7d50d5b8</anchor>
      <arglist>(cls, str schema_file, str schema_name=&quot;ApdbSchema&quot;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::dax::apdb::tests::_apdb::ApdbSchemaUpdateTest</name>
    <filename>classlsst_1_1dax_1_1apdb_1_1tests_1_1__apdb_1_1ApdbSchemaUpdateTest.html</filename>
    <base>lsst.dax.apdb.tests._apdb.TestCaseMixin</base>
    <member kind="function">
      <type>ApdbConfig</type>
      <name>make_instance</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1tests_1_1__apdb_1_1ApdbSchemaUpdateTest.html</anchorfile>
      <anchor>a49eb4f8ffb5a36a39dfeb6edcd1bd4eb</anchor>
      <arglist>(self, **Any kwargs)</arglist>
    </member>
    <member kind="function">
      <type>None</type>
      <name>test_schema_add_history</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1tests_1_1__apdb_1_1ApdbSchemaUpdateTest.html</anchorfile>
      <anchor>ad85286fd8d43eb990649f8f371615d26</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>None</type>
      <name>test_schemaVersionCheck</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1tests_1_1__apdb_1_1ApdbSchemaUpdateTest.html</anchorfile>
      <anchor>a9ef3adb8f928a9f92bc05b7f64b8a3a2</anchor>
      <arglist>(self)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::dax::apdb::apdbSql::ApdbSql</name>
    <filename>classlsst_1_1dax_1_1apdb_1_1apdbSql_1_1ApdbSql.html</filename>
    <base>lsst.dax.apdb.apdb.Apdb</base>
    <member kind="function">
      <type>VersionTuple</type>
      <name>apdbImplementationVersion</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbSql_1_1ApdbSql.html</anchorfile>
      <anchor>afef1203ca431685a9289f1dbd6464edb</anchor>
      <arglist>(cls)</arglist>
    </member>
    <member kind="function">
      <type>ApdbSqlConfig</type>
      <name>init_database</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbSql_1_1ApdbSql.html</anchorfile>
      <anchor>a159fef5d23a11109c73819d76e0f7c6e</anchor>
      <arglist>(cls, str db_url, *str|None schema_file=None, str|None schema_name=None, int|None read_sources_months=None, int|None read_forced_sources_months=None, bool use_insert_id=False, int|None connection_timeout=None, str|None dia_object_index=None, int|None htm_level=None, str|None htm_index_column=None, list[str]|None ra_dec_columns=None, str|None prefix=None, str|None namespace=None, bool drop=False)</arglist>
    </member>
    <member kind="function">
      <type>VersionTuple</type>
      <name>apdbSchemaVersion</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbSql_1_1ApdbSql.html</anchorfile>
      <anchor>ab015a2a10d3906901a6485782b41a319</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>dict[str, int]</type>
      <name>tableRowCount</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbSql_1_1ApdbSql.html</anchorfile>
      <anchor>a0f5371b54c87d902f16d2389b5521bf3</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>Table|None</type>
      <name>tableDef</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbSql_1_1ApdbSql.html</anchorfile>
      <anchor>a46c87a2224ad13f09914da3bcaddb13c</anchor>
      <arglist>(self, ApdbTables table)</arglist>
    </member>
    <member kind="function">
      <type>pandas.DataFrame</type>
      <name>getDiaObjects</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbSql_1_1ApdbSql.html</anchorfile>
      <anchor>a5c8a59c06b986c6ef1faf5bfa4d7459c</anchor>
      <arglist>(self, Region region)</arglist>
    </member>
    <member kind="function">
      <type>pandas.DataFrame|None</type>
      <name>getDiaSources</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbSql_1_1ApdbSql.html</anchorfile>
      <anchor>ae14b49d04e388c7f83aee1b090a6bfa6</anchor>
      <arglist>(self, Region region, Iterable[int]|None object_ids, astropy.time.Time visit_time)</arglist>
    </member>
    <member kind="function">
      <type>pandas.DataFrame|None</type>
      <name>getDiaForcedSources</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbSql_1_1ApdbSql.html</anchorfile>
      <anchor>a5318a90efcb69afbe2be22c06a2e71a6</anchor>
      <arglist>(self, Region region, Iterable[int]|None object_ids, astropy.time.Time visit_time)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>containsVisitDetector</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbSql_1_1ApdbSql.html</anchorfile>
      <anchor>affc36a7c858245bc0a45121dc7387998</anchor>
      <arglist>(self, int visit, int detector)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>containsCcdVisit</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbSql_1_1ApdbSql.html</anchorfile>
      <anchor>aa13810fb0cfc964b3b8824b84fc1ffde</anchor>
      <arglist>(self, int ccdVisitId)</arglist>
    </member>
    <member kind="function">
      <type>list[ApdbInsertId]|None</type>
      <name>getInsertIds</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbSql_1_1ApdbSql.html</anchorfile>
      <anchor>aa0c76aa1a95a98dde9cb5d6f8f304d17</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>None</type>
      <name>deleteInsertIds</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbSql_1_1ApdbSql.html</anchorfile>
      <anchor>a3100921f69e7f2b2e29c9f35f4fc2478</anchor>
      <arglist>(self, Iterable[ApdbInsertId] ids)</arglist>
    </member>
    <member kind="function">
      <type>ApdbTableData</type>
      <name>getDiaObjectsHistory</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbSql_1_1ApdbSql.html</anchorfile>
      <anchor>a6bf373b420ce1a236e4597344a4a5db5</anchor>
      <arglist>(self, Iterable[ApdbInsertId] ids)</arglist>
    </member>
    <member kind="function">
      <type>ApdbTableData</type>
      <name>getDiaSourcesHistory</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbSql_1_1ApdbSql.html</anchorfile>
      <anchor>a1db7162167f305c6a29abbcfdac2c892</anchor>
      <arglist>(self, Iterable[ApdbInsertId] ids)</arglist>
    </member>
    <member kind="function">
      <type>ApdbTableData</type>
      <name>getDiaForcedSourcesHistory</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbSql_1_1ApdbSql.html</anchorfile>
      <anchor>aadb723384b295a19f4cdb28854e8b3aa</anchor>
      <arglist>(self, Iterable[ApdbInsertId] ids)</arglist>
    </member>
    <member kind="function">
      <type>pandas.DataFrame</type>
      <name>getSSObjects</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbSql_1_1ApdbSql.html</anchorfile>
      <anchor>a5f978fc0f61b3ceab8764bf76264765f</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>None</type>
      <name>store</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbSql_1_1ApdbSql.html</anchorfile>
      <anchor>aaa7468239c223b8f6cecd0c3bde53bb8</anchor>
      <arglist>(self, astropy.time.Time visit_time, pandas.DataFrame objects, pandas.DataFrame|None sources=None, pandas.DataFrame|None forced_sources=None)</arglist>
    </member>
    <member kind="function">
      <type>None</type>
      <name>storeSSObjects</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbSql_1_1ApdbSql.html</anchorfile>
      <anchor>a9d00cbf36985cb03bb20c9cd55011582</anchor>
      <arglist>(self, pandas.DataFrame objects)</arglist>
    </member>
    <member kind="function">
      <type>None</type>
      <name>reassignDiaSources</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbSql_1_1ApdbSql.html</anchorfile>
      <anchor>af727ce966064b9c4ff02a55e3560c8e3</anchor>
      <arglist>(self, Mapping[int, int] idMap)</arglist>
    </member>
    <member kind="function">
      <type>None</type>
      <name>dailyJob</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbSql_1_1ApdbSql.html</anchorfile>
      <anchor>a7d67c18e9604d5415aca71a79e2fd9a0</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>countUnassociatedObjects</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbSql_1_1ApdbSql.html</anchorfile>
      <anchor>ac2bd2d843901c3d562584133e81dffc9</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>ApdbMetadata</type>
      <name>metadata</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbSql_1_1ApdbSql.html</anchorfile>
      <anchor>a045307cdd66e2050b04ac964a08bd2e8</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>sqlalchemy.engine.Engine</type>
      <name>_makeEngine</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbSql_1_1ApdbSql.html</anchorfile>
      <anchor>a5f7b6f727429951a874bae2b3e86e411</anchor>
      <arglist>(cls, ApdbSqlConfig config)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>None</type>
      <name>_versionCheck</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbSql_1_1ApdbSql.html</anchorfile>
      <anchor>ade1b6b7a17d1ea49f212737232084c1a</anchor>
      <arglist>(self, ApdbMetadataSql metadata)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>ApdbTableData</type>
      <name>_get_history</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbSql_1_1ApdbSql.html</anchorfile>
      <anchor>a2d9aa92236270a19053ebe8488bb9865</anchor>
      <arglist>(self, Iterable[ApdbInsertId] ids, ApdbTables table_enum, ExtraTables history_table_enum)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>pandas.DataFrame</type>
      <name>_getDiaSourcesInRegion</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbSql_1_1ApdbSql.html</anchorfile>
      <anchor>a6159ce014db6b8910ea69f0bd51fa868</anchor>
      <arglist>(self, Region region, astropy.time.Time visit_time)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>pandas.DataFrame</type>
      <name>_getDiaSourcesByIDs</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbSql_1_1ApdbSql.html</anchorfile>
      <anchor>ac4ae7357b63d9428ee5acec9cd22b412</anchor>
      <arglist>(self, list[int] object_ids, astropy.time.Time visit_time)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>pandas.DataFrame</type>
      <name>_getSourcesByIDs</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbSql_1_1ApdbSql.html</anchorfile>
      <anchor>a23e21506256a9bc7f2f060f4edd8e7af</anchor>
      <arglist>(self, ApdbTables table_enum, list[int] object_ids, float midpointMjdTai_start)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>None</type>
      <name>_storeDiaObjects</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbSql_1_1ApdbSql.html</anchorfile>
      <anchor>a8788b3b237c098794bb3fad416871fd2</anchor>
      <arglist>(self, pandas.DataFrame objs, astropy.time.Time visit_time, ApdbInsertId|None insert_id, sqlalchemy.engine.Connection connection)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>None</type>
      <name>_storeDiaSources</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbSql_1_1ApdbSql.html</anchorfile>
      <anchor>ab4023d383cda03fa77c304f5f46e7747</anchor>
      <arglist>(self, pandas.DataFrame sources, ApdbInsertId|None insert_id, sqlalchemy.engine.Connection connection)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>None</type>
      <name>_storeDiaForcedSources</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbSql_1_1ApdbSql.html</anchorfile>
      <anchor>a3181e2909b5ae190a8d0f5b4f62fd011</anchor>
      <arglist>(self, pandas.DataFrame sources, ApdbInsertId|None insert_id, sqlalchemy.engine.Connection connection)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>list[tuple[int, int]]</type>
      <name>_htm_indices</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbSql_1_1ApdbSql.html</anchorfile>
      <anchor>a937475beb9035aa6274f24ba06ab4362</anchor>
      <arglist>(self, Region region)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>sql.ColumnElement</type>
      <name>_filterRegion</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbSql_1_1ApdbSql.html</anchorfile>
      <anchor>a0fa8f50e647d6c4d1bf798575009ec6c</anchor>
      <arglist>(self, sqlalchemy.schema.Table table, Region region)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>pandas.DataFrame</type>
      <name>_add_obj_htm_index</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbSql_1_1ApdbSql.html</anchorfile>
      <anchor>acae95af7d5a3ce10bddba9823006233c</anchor>
      <arglist>(self, pandas.DataFrame df)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>pandas.DataFrame</type>
      <name>_add_src_htm_index</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbSql_1_1ApdbSql.html</anchorfile>
      <anchor>a4ae41b0637b017a0e72af084373a4777</anchor>
      <arglist>(self, pandas.DataFrame sources, pandas.DataFrame objs)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::dax::apdb::apdbSql::ApdbSqlConfig</name>
    <filename>classlsst_1_1dax_1_1apdb_1_1apdbSql_1_1ApdbSqlConfig.html</filename>
    <base>lsst.dax.apdb.apdb.ApdbConfig</base>
  </compound>
  <compound kind="class">
    <name>lsst::dax::apdb::apdbSqlSchema::ApdbSqlSchema</name>
    <filename>classlsst_1_1dax_1_1apdb_1_1apdbSqlSchema_1_1ApdbSqlSchema.html</filename>
    <base>lsst.dax.apdb.apdbSchema.ApdbSchema</base>
    <member kind="function">
      <type>bool</type>
      <name>empty</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbSqlSchema_1_1ApdbSqlSchema.html</anchorfile>
      <anchor>a74a854596bbf1cc7d9d56b5925556fa1</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>None</type>
      <name>makeSchema</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbSqlSchema_1_1ApdbSqlSchema.html</anchorfile>
      <anchor>ad11a2972c43927b3596df386b334cb6d</anchor>
      <arglist>(self, bool drop=False)</arglist>
    </member>
    <member kind="function">
      <type>Table</type>
      <name>get_table</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbSqlSchema_1_1ApdbSqlSchema.html</anchorfile>
      <anchor>a42e87a64596b8ef5065c2e1ad166becd</anchor>
      <arglist>(self, ApdbTables|ExtraTables table_enum)</arglist>
    </member>
    <member kind="function">
      <type>list[Column]</type>
      <name>get_apdb_columns</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbSqlSchema_1_1ApdbSqlSchema.html</anchorfile>
      <anchor>abf6593345443bc970829119cad26addb</anchor>
      <arglist>(self, ApdbTables|ExtraTables table_enum)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>has_insert_id</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbSqlSchema_1_1ApdbSqlSchema.html</anchorfile>
      <anchor>a5cc0939b4b4d62c4ee5c782acd23cb30</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>_check_insert_id</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbSqlSchema_1_1ApdbSqlSchema.html</anchorfile>
      <anchor>ad299641aa618c72cda4bea8689b201cb</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>Mapping[ApdbTables, Table]</type>
      <name>_make_apdb_tables</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbSqlSchema_1_1ApdbSqlSchema.html</anchorfile>
      <anchor>a479ee122ec113bafa18cd11c96d0ac79</anchor>
      <arglist>(self, str mysql_engine=&quot;InnoDB&quot;)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>Mapping[ExtraTables, Table]</type>
      <name>_make_extra_tables</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbSqlSchema_1_1ApdbSqlSchema.html</anchorfile>
      <anchor>a5147bc7eb07558ef06b55ab7cd8e227d</anchor>
      <arglist>(self, Mapping[ApdbTables, Table] apdb_tables, str mysql_engine=&quot;InnoDB&quot;)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>list[Column]</type>
      <name>_tableColumns</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbSqlSchema_1_1ApdbSqlSchema.html</anchorfile>
      <anchor>a0a3a366418e0b3479dff69e6e657d137</anchor>
      <arglist>(self, ApdbTables table_name)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>list[sqlalchemy.schema.SchemaItem]</type>
      <name>_tableIndices</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbSqlSchema_1_1ApdbSqlSchema.html</anchorfile>
      <anchor>a53fd577d3b343d2a860d9406d9445e3a</anchor>
      <arglist>(self, ApdbTables table_name)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>list[Column]</type>
      <name>_insertIdColumns</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbSqlSchema_1_1ApdbSqlSchema.html</anchorfile>
      <anchor>a48f45c452c11252bf422ab55d5b45678</anchor>
      <arglist>(self, ExtraTables table_enum)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>list[Column]</type>
      <name>_tablePkColumns</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbSqlSchema_1_1ApdbSqlSchema.html</anchorfile>
      <anchor>ab0649a190512a48bf3ae3ab715024ada</anchor>
      <arglist>(self, ApdbTables table_enum)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>list[sqlalchemy.schema.SchemaItem]</type>
      <name>_insertIdIndices</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbSqlSchema_1_1ApdbSqlSchema.html</anchorfile>
      <anchor>a4dd96511bc0c7122aede25a95fb520b4</anchor>
      <arglist>(self, ExtraTables table_enum, sqlalchemy.schema.Table apdb_table, sqlalchemy.schema.Table parent_table)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>type|sqlalchemy.types.TypeEngine</type>
      <name>_getDoubleType</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbSqlSchema_1_1ApdbSqlSchema.html</anchorfile>
      <anchor>aa24597ca227041d2661c4d1d5f8a8543</anchor>
      <arglist>(cls, sqlalchemy.engine.Engine engine)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::dax::apdb::apdbSql::ApdbSqlTableData</name>
    <filename>classlsst_1_1dax_1_1apdb_1_1apdbSql_1_1ApdbSqlTableData.html</filename>
    <base>lsst.dax.apdb.apdb.ApdbTableData</base>
    <member kind="function">
      <type>list[str]</type>
      <name>column_names</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbSql_1_1ApdbSqlTableData.html</anchorfile>
      <anchor>a9d6fa7ae56c05c92e1734eeb64d42893</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>Iterable[tuple]</type>
      <name>rows</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbSql_1_1ApdbSqlTableData.html</anchorfile>
      <anchor>ae0c146d1d971db584b74435be8623a23</anchor>
      <arglist>(self)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::dax::apdb::apdb::ApdbTableData</name>
    <filename>classlsst_1_1dax_1_1apdb_1_1apdb_1_1ApdbTableData.html</filename>
    <member kind="function">
      <type>list[str]</type>
      <name>column_names</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_1_1ApdbTableData.html</anchorfile>
      <anchor>af6df1ae41bae2a506249f3a59b4202f5</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>Iterable[tuple]</type>
      <name>rows</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_1_1ApdbTableData.html</anchorfile>
      <anchor>a95762219423f0bac9ddf07e409fdac84</anchor>
      <arglist>(self)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::dax::apdb::apdbSchema::ApdbTables</name>
    <filename>classlsst_1_1dax_1_1apdb_1_1apdbSchema_1_1ApdbTables.html</filename>
    <member kind="function">
      <type>str</type>
      <name>table_name</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbSchema_1_1ApdbTables.html</anchorfile>
      <anchor>a532c71547a81021abc723a58efa98506</anchor>
      <arglist>(self, str prefix=&quot;&quot;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::dax::apdb::tests::_apdb::ApdbTest</name>
    <filename>classlsst_1_1dax_1_1apdb_1_1tests_1_1__apdb_1_1ApdbTest.html</filename>
    <base>lsst.dax.apdb.tests._apdb.TestCaseMixin</base>
    <member kind="function">
      <type>ApdbConfig</type>
      <name>make_instance</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1tests_1_1__apdb_1_1ApdbTest.html</anchorfile>
      <anchor>a5ff4b5a89eed09bf46dcf37582c23c15</anchor>
      <arglist>(self, **Any kwargs)</arglist>
    </member>
    <member kind="function">
      <type>ApdbTables</type>
      <name>getDiaObjects_table</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1tests_1_1__apdb_1_1ApdbTest.html</anchorfile>
      <anchor>af2eda1fc391cbeac398c1dba0467b263</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>None</type>
      <name>assert_catalog</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1tests_1_1__apdb_1_1ApdbTest.html</anchorfile>
      <anchor>a18e9ac921f7a814e591cf0aa6da6d048</anchor>
      <arglist>(self, Any catalog, int rows, ApdbTables table)</arglist>
    </member>
    <member kind="function">
      <type>None</type>
      <name>assert_table_data</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1tests_1_1__apdb_1_1ApdbTest.html</anchorfile>
      <anchor>a994e48bf1bd293be22370784d646705b</anchor>
      <arglist>(self, Any catalog, int rows, ApdbTables table)</arglist>
    </member>
    <member kind="function">
      <type>None</type>
      <name>test_makeSchema</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1tests_1_1__apdb_1_1ApdbTest.html</anchorfile>
      <anchor>a3a7f3145fa92d8747ee736209a2fddbf</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>None</type>
      <name>test_empty_gets</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1tests_1_1__apdb_1_1ApdbTest.html</anchorfile>
      <anchor>a16a1bc8f66d26e1e524be2621f996cc0</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>None</type>
      <name>test_empty_gets_0months</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1tests_1_1__apdb_1_1ApdbTest.html</anchorfile>
      <anchor>a410bf879b43c307ea0056128f7060d98</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>None</type>
      <name>test_storeObjects</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1tests_1_1__apdb_1_1ApdbTest.html</anchorfile>
      <anchor>afde5384104a6d872bca550505080a3d7</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>None</type>
      <name>test_storeObjects_empty</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1tests_1_1__apdb_1_1ApdbTest.html</anchorfile>
      <anchor>a195af02e7fd467e485ef4a2945a03baf</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>None</type>
      <name>test_storeSources</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1tests_1_1__apdb_1_1ApdbTest.html</anchorfile>
      <anchor>a1a364d151d2346d3dc913646961d97d4</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>None</type>
      <name>test_storeForcedSources</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1tests_1_1__apdb_1_1ApdbTest.html</anchorfile>
      <anchor>a52e999d86a212a342fc9c024bef066ac</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>None</type>
      <name>test_getHistory</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1tests_1_1__apdb_1_1ApdbTest.html</anchorfile>
      <anchor>a4d33b89f0f885e4b4e06f26def7c97c2</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>None</type>
      <name>test_storeSSObjects</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1tests_1_1__apdb_1_1ApdbTest.html</anchorfile>
      <anchor>a0d44f9f55314b6f4768c0c1b9d932aaf</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>None</type>
      <name>test_reassignObjects</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1tests_1_1__apdb_1_1ApdbTest.html</anchorfile>
      <anchor>a9416d143e9f12f347db0c7d09d0b297f</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>None</type>
      <name>test_midpointMjdTai_src</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1tests_1_1__apdb_1_1ApdbTest.html</anchorfile>
      <anchor>a5ee99b40338a68b608adff416c6e1e8b</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>None</type>
      <name>test_midpointMjdTai_fsrc</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1tests_1_1__apdb_1_1ApdbTest.html</anchorfile>
      <anchor>aec0644f08df0a724b9ca720fa1eb7800</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>None</type>
      <name>test_metadata</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1tests_1_1__apdb_1_1ApdbTest.html</anchorfile>
      <anchor>af69ad465826d74f490336a3b89afcce0</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>None</type>
      <name>test_nometadata</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1tests_1_1__apdb_1_1ApdbTest.html</anchorfile>
      <anchor>a9ebc672228364939e38449446d5f1a8a</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>None</type>
      <name>test_schemaVersionFromYaml</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1tests_1_1__apdb_1_1ApdbTest.html</anchorfile>
      <anchor>a484fbbd459f0378118dce68f5a38dd3f</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>None</type>
      <name>test_config_freeze</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1tests_1_1__apdb_1_1ApdbTest.html</anchorfile>
      <anchor>aae49128b3414c8f6363fadaa6f01133e</anchor>
      <arglist>(self)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::dax::apdb::apdbCassandra::CassandraMissingError</name>
    <filename>classlsst_1_1dax_1_1apdb_1_1apdbCassandra_1_1CassandraMissingError.html</filename>
  </compound>
  <compound kind="class">
    <name>lsst::dax::apdb::apdbCassandraSchema::ExtraTables</name>
    <filename>classlsst_1_1dax_1_1apdb_1_1apdbCassandraSchema_1_1ExtraTables.html</filename>
    <member kind="function">
      <type>str</type>
      <name>table_name</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbCassandraSchema_1_1ExtraTables.html</anchorfile>
      <anchor>a9c26794fab8bdcb6b9c8ab37f71348dc</anchor>
      <arglist>(self, str prefix=&quot;&quot;)</arglist>
    </member>
    <member kind="function">
      <type>Mapping[ExtraTables, ApdbTables]</type>
      <name>insert_id_tables</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbCassandraSchema_1_1ExtraTables.html</anchorfile>
      <anchor>a2682226f9431012f8d7f7f334ba432d0</anchor>
      <arglist>(cls)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::dax::apdb::apdbSqlSchema::ExtraTables</name>
    <filename>classlsst_1_1dax_1_1apdb_1_1apdbSqlSchema_1_1ExtraTables.html</filename>
    <member kind="function">
      <type>str</type>
      <name>table_name</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbSqlSchema_1_1ExtraTables.html</anchorfile>
      <anchor>a098cd96eb0a32fe3180fb643e957b7e9</anchor>
      <arglist>(self, str prefix=&quot;&quot;)</arglist>
    </member>
    <member kind="function">
      <type>Mapping[ExtraTables, ApdbTables]</type>
      <name>insert_id_tables</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdbSqlSchema_1_1ExtraTables.html</anchorfile>
      <anchor>adfdedbf76e74d967b8f79ba64fa41409</anchor>
      <arglist>(cls)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::dax::apdb::apdbSqlSchema::GUID</name>
    <filename>classlsst_1_1dax_1_1apdb_1_1apdbSqlSchema_1_1GUID.html</filename>
  </compound>
  <compound kind="class">
    <name>lsst::dax::apdb::versionTuple::IncompatibleVersionError</name>
    <filename>classlsst_1_1dax_1_1apdb_1_1versionTuple_1_1IncompatibleVersionError.html</filename>
  </compound>
  <compound kind="class">
    <name>lsst::dax::apdb::apdbCassandraSchema::InconsistentSchemaError</name>
    <filename>classlsst_1_1dax_1_1apdb_1_1apdbCassandraSchema_1_1InconsistentSchemaError.html</filename>
  </compound>
  <compound kind="class">
    <name>lsst::dax::apdb::apdbSqlSchema::InconsistentSchemaError</name>
    <filename>classlsst_1_1dax_1_1apdb_1_1apdbSqlSchema_1_1InconsistentSchemaError.html</filename>
  </compound>
  <compound kind="class">
    <name>logging_cli::LoggingCli</name>
    <filename>classlogging__cli_1_1LoggingCli.html</filename>
    <member kind="function">
      <type>None</type>
      <name>process_args</name>
      <anchorfile>classlogging__cli_1_1LoggingCli.html</anchorfile>
      <anchor>a5dbf69fab02a9dd141e85ccb9a3156fb</anchor>
      <arglist>(self, argparse.Namespace args)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::dax::apdb::pixelization::Pixelization</name>
    <filename>classlsst_1_1dax_1_1apdb_1_1pixelization_1_1Pixelization.html</filename>
    <member kind="function">
      <type>list[int]</type>
      <name>pixels</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1pixelization_1_1Pixelization.html</anchorfile>
      <anchor>a4b2a05db0406b734f92a922dacc564bf</anchor>
      <arglist>(self, sphgeom.Region region)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>pixel</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1pixelization_1_1Pixelization.html</anchorfile>
      <anchor>a8379e6ddeea327cad9d6fd72d408fd8a</anchor>
      <arglist>(self, sphgeom.UnitVector3d direction)</arglist>
    </member>
    <member kind="function">
      <type>list[tuple[int, int]]</type>
      <name>envelope</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1pixelization_1_1Pixelization.html</anchorfile>
      <anchor>aa062b6730ef3faf89b95144d1b866c46</anchor>
      <arglist>(self, sphgeom.Region region)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::dax::apdb::cassandra_utils::PreparedStatementCache</name>
    <filename>classlsst_1_1dax_1_1apdb_1_1cassandra__utils_1_1PreparedStatementCache.html</filename>
    <member kind="function">
      <type>PreparedStatement</type>
      <name>prepare</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1cassandra__utils_1_1PreparedStatementCache.html</anchorfile>
      <anchor>a00201a0cbd28c8f3c0806d7e1910ff86</anchor>
      <arglist>(self, str query)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::dax::apdb::cassandra_utils::SessionWrapper</name>
    <filename>classlsst_1_1dax_1_1apdb_1_1cassandra__utils_1_1SessionWrapper.html</filename>
  </compound>
  <compound kind="class">
    <name>lsst::dax::apdb::tests::_apdb::TestCaseMixin</name>
    <filename>classlsst_1_1dax_1_1apdb_1_1tests_1_1__apdb_1_1TestCaseMixin.html</filename>
  </compound>
  <compound kind="class">
    <name>lsst::dax::apdb::timer::Timer</name>
    <filename>classlsst_1_1dax_1_1apdb_1_1timer_1_1Timer.html</filename>
    <member kind="function">
      <type></type>
      <name>__init__</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1timer_1_1Timer.html</anchorfile>
      <anchor>ae7cbda2b53ef71b638d5d846f1c95ae4</anchor>
      <arglist>(self, str name=&quot;&quot;, bool doPrint=True)</arglist>
    </member>
    <member kind="function">
      <type>Timer</type>
      <name>start</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1timer_1_1Timer.html</anchorfile>
      <anchor>a565fbbd393e8fe20e98d57b6dfc6d4a2</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>Timer</type>
      <name>stop</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1timer_1_1Timer.html</anchorfile>
      <anchor>aa25fbf2ae5f9ee7cb8e4df62b8987fbe</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>Timer</type>
      <name>dump</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1timer_1_1Timer.html</anchorfile>
      <anchor>a98f06c4ccabd35b256b36d7f16a8ff71</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>Timer</type>
      <name>__enter__</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1timer_1_1Timer.html</anchorfile>
      <anchor>a2d1a7adc1aa25913a7a114f9d14ad62f</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>Any</type>
      <name>__exit__</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1timer_1_1Timer.html</anchorfile>
      <anchor>a18f29c77e9fb30165286a11f92e1e116</anchor>
      <arglist>(self, type|None exc_type, Any exc_val, Any exc_tb)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::dax::apdb::versionTuple::VersionTuple</name>
    <filename>classlsst_1_1dax_1_1apdb_1_1versionTuple_1_1VersionTuple.html</filename>
    <member kind="function">
      <type>VersionTuple</type>
      <name>fromString</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1versionTuple_1_1VersionTuple.html</anchorfile>
      <anchor>a52866efd0d751a1dcf5de86ddef42533</anchor>
      <arglist>(cls, str versionStr)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>checkCompatibility</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1versionTuple_1_1VersionTuple.html</anchorfile>
      <anchor>abc32e9206320e245b3f887ad63227c16</anchor>
      <arglist>(self, VersionTuple database_version, bool update)</arglist>
    </member>
    <member kind="function">
      <type>str</type>
      <name>__str__</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1versionTuple_1_1VersionTuple.html</anchorfile>
      <anchor>aeaccaa475e7fdbae2ef9d75bbf2e50c4</anchor>
      <arglist>(self)</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>conf</name>
    <filename>namespaceconf.html</filename>
  </compound>
  <compound kind="namespace">
    <name>lsst::dax::apdb::apdbSchema</name>
    <filename>namespacelsst_1_1dax_1_1apdb_1_1apdbSchema.html</filename>
    <class kind="class">lsst::dax::apdb::apdbSchema::ApdbSchema</class>
    <class kind="class">lsst::dax::apdb::apdbSchema::ApdbTables</class>
  </compound>
  <compound kind="namespace">
    <name>lsst::dax::apdb::apdbSql</name>
    <filename>namespacelsst_1_1dax_1_1apdb_1_1apdbSql.html</filename>
    <class kind="class">lsst::dax::apdb::apdbSql::ApdbSql</class>
    <class kind="class">lsst::dax::apdb::apdbSql::ApdbSqlConfig</class>
    <class kind="class">lsst::dax::apdb::apdbSql::ApdbSqlTableData</class>
    <member kind="function" protection="protected">
      <type>pandas.DataFrame</type>
      <name>_coerce_uint64</name>
      <anchorfile>namespacelsst_1_1dax_1_1apdb_1_1apdbSql.html</anchorfile>
      <anchor>ae6457958966e8e513d0f64e0b97965e1</anchor>
      <arglist>(pandas.DataFrame df)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>float</type>
      <name>_make_midpointMjdTai_start</name>
      <anchorfile>namespacelsst_1_1dax_1_1apdb_1_1apdbSql.html</anchorfile>
      <anchor>a055e922d63ed41ccd1a537de51be2b22</anchor>
      <arglist>(astropy.time.Time visit_time, int months)</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>lsst::dax::apdb::apdbSqlSchema</name>
    <filename>namespacelsst_1_1dax_1_1apdb_1_1apdbSqlSchema.html</filename>
    <class kind="class">lsst::dax::apdb::apdbSqlSchema::ApdbSqlSchema</class>
    <class kind="class">lsst::dax::apdb::apdbSqlSchema::ExtraTables</class>
    <class kind="class">lsst::dax::apdb::apdbSqlSchema::GUID</class>
    <class kind="class">lsst::dax::apdb::apdbSqlSchema::InconsistentSchemaError</class>
  </compound>
  <compound kind="namespace">
    <name>lsst::dax::apdb::timer</name>
    <filename>namespacelsst_1_1dax_1_1apdb_1_1timer.html</filename>
    <class kind="class">lsst::dax::apdb::timer::Timer</class>
  </compound>
</tagfile>
